On 04/15/2016 03:45 PM, Emil Velikov wrote:
> This way if the user requests GL pre 3.2 context which lacks the
> flags/extra bits which require ARB_create_context one can safely fall
> back to the normal/legacy entry point.
> 
> This resolves piglits on non 3.2 capable drivers such as classic swrast,
> nouveau_vieux and alike.
> 
> v2: The version should be 3.2 and not 3.0 as originally.
> 
> Cc: Ilia Mirkin <imir...@alum.mit.edu>
> Reviewed-by: Jose Fonseca <jfons...@vmware.com> (v1)
> Signed-off-by: Emil Velikov <emil.l.veli...@gmail.com>
> ---
>  src/waffle/glx/glx_config.c  |  7 ++++---
>  src/waffle/glx/glx_context.c | 12 +++++++++++-
>  src/waffle/glx/glx_context.h | 16 ++++++++++++++++
>  3 files changed, 31 insertions(+), 4 deletions(-)
> 

Patch is merged.
_______________________________________________
waffle mailing list
waffle@lists.freedesktop.org
https://lists.freedesktop.org/mailman/listinfo/waffle

Reply via email to